Bug 2044142 - CVE-2022-0213 vim: vim is vulnerable to out of bounds read [fedora-all]
Summary: CVE-2022-0213 vim: vim is vulnerable to out of bounds read [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 35
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Karsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-0213
TreeView+ depends on / blocked
 
Reported: 2022-01-24 05:56 UTC by Sandipan Roy
Modified: 2022-02-04 01:22 UTC (History)
3 users (show)

Fixed In Version: vim-8.2.4232-1.fc35 vim-8.2.4232-1.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-30 01:33:53 UTC
Type: ---


Attachments (Terms of Use)

Description Sandipan Roy 2022-01-24 05:56:17 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Sandipan Roy 2022-01-24 05:56:20 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2043779,2044142

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-01-24 14:29:06 UTC
FEDORA-2022-90ae058633 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-90ae058633

Comment 3 Fedora Update System 2022-01-24 14:29:11 UTC
FEDORA-2022-ae3cad23d3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ae3cad23d3

Comment 4 Fedora Update System 2022-01-25 01:21:13 UTC
FEDORA-2022-ae3cad23d3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-ae3cad23d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ae3cad23d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-01-25 02:10:24 UTC
FEDORA-2022-90ae058633 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-90ae058633`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-90ae058633

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-01-28 01:15:13 UTC
FEDORA-2022-7e9e1ae1fb has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-7e9e1ae1fb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7e9e1ae1fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-01-29 04:31:42 UTC
FEDORA-2022-f05f9c155b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-f05f9c155b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f05f9c155b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-01-30 01:33:53 UTC
FEDORA-2022-f05f9c155b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-02-04 01:22:29 UTC
FEDORA-2022-7e9e1ae1fb has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.